Speed Dial
All operations require authentication.
List speed dial numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a speed dial numberProduction
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Create a speed dial numberProduction
Path parameters
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Delete a speed dial numberProduction
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"Update a speed dial numberProduction
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"